package cc.smtweb.framework.core.annotation;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * 被该注释修饰的类提供缓存服务
 *
 * @author kevin
 */
@Retention(RetentionPolicy.RUNTIME)
@Target({ElementType.TYPE})
public @interface SwCache {
    //唯一标识
    String ident();

    //标题，展示用
    String title();

    //依赖的缓存ident，多个用英文逗号分隔
    String depends() default "";

    //是否懒加载
    boolean lazy() default false;

    //失效时间，单位分钟
    long timeout() default 0;
}
